<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Wings Mobile - Eventos</title>
        <link th:href="@{/css/style-events.css}" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <div class="main">
            <section class="signup">
                <div class="container">
                    <div class="signup-content">
                        <a href="#message-anchor" id="message-anchor"></a>
                        <form method="POST" id="signup-form" class="signup-form">
                            <img th:src="@{/img/3c98f8537be76cbe3258d31cb2f497268976cd471f5a830345ebf1e84eae255a.png}" style="float: right;"/>
                            <h2 class="form-title" th:text="${ticket.event.name}">Presentación Wings Mobile Colombia</h2>
                            <div class="event-info">
                                <ul>
                                    <li>
                                        <strong>
                                            <span th:text="${ticket.event.date}"></span>&nbsp;<span th:text="${ticket.event.hour}"></span>
                                        </strong>
                                    </li>
                                    <li>
                                        <strong>
                                            <span th:text="${ticket.event.place}"></span>
                                        </strong>
                                    </li>
                                    <li>
                                        <strong>
                                            <span th:text="${ticket.event.placeAddress}"></span>
                                        </strong>
                                    </li>
                                </ul>
                            </div>                            
                            <h3 class="form-title" th:text="#{informationRegisterEvent}">Ingrese sus datos para registrarse al evento</h3>
                            <div class="alert" id="message" style="display: none;"></div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="firstName" required="false" placeholder="Nombre*" th:attr="placeholder=#{name} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="lastName" required="true" placeholder="Apellido*" th:attr="placeholder=#{surname} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="email" class="form-input" name="email" required="true" placeholder="Email*" th:attr="placeholder=#{email} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="address" required="true" placeholder="Domicilio*" th:attr="placeholder=#{homeAddress} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="city" required="true" placeholder="Ciudad*" th:attr="placeholder=#{cityName} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="state" required="true" placeholder="Provincia / Estado*" th:attr="placeholder=#{stateName} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="zip" required="true" placeholder="Código Postal*" th:attr="placeholder=#{postalCode} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="country" required="true" placeholder="País*" th:attr="placeholder=#{countryName} + '*'"/>
                            </div>
                            <div class="form-group" th:each="info : ${infos}">
                                <div th:switch="${info.type}">
                                    <div th:case="string">
                                        <input type="text" class="form-input" th:name="${info.name}" th:required="${info.mandatory}" th:placeholder="${info.name} + (${info.mandatory} ? '*' : '')"/>
                                    </div>
                                    <div th:case="text">
                                        <textarea class="form-input" cols="3" th:name="${info.name}" th:required="${info.mandatory}" th:placeholder="${info.name} + (${info.mandatory} ? '*' : '')"></textarea>
                                    </div>
                                    <div th:case="list">
                                        <select th:name="${info.name}" th:required="${info.mandatory}" class="form-input">                                            
                                            <option disabled="disabled" selected="selected" th:text="${info.name}" th:value="${info.name}"></option>
                                            <option th:each="val : ${#strings.arraySplit(info.enumValue, ',')}" th:value="${val}" th:text="${val}"></option>
                                        </select>
                                    </div>
                                    <div th:case="int">
                                        <input type="number" class="form-input" th:name="${info.name}" th:required="${info.mandatory}" th:placeholder="${info.name} + (${info.mandatory} ? '*' : '')"/>
                                    </div>
                                    <div th:case="date">
                                        <input type="date" class="form-input" th:name="${info.name}" th:required="${info.mandatory}" th:placeholder="${info.name} + (${info.mandatory} ? '*' : '')"/>
                                    </div>
                                    <div th:case="tel">
                                        <input type="tel" class="form-input" th:name="${info.name}" th:required="${info.mandatory}" th:placeholder="${info.name} + (${info.mandatory} ? '*' : '')"/>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <input type="submit" name="submit" id="submit" class="form-submit" value="Registrarse"/>
                            </div>
                            <small class="text-muted" th:text="#{requiredFields}">*Campos requeridos</small>
                            <input type="hidden" name="tc" th:value="${ticket.ticketCode}"/>
                        </form>
                    </div>
                </div>
            </section>
        </div>
        <script th:src="@{/js/jquery.min.js}"></script>

        <script>
            $(document).ready(function () {
                $('#submit').click(function (e) {
                    e.preventDefault();
                    var form = document.querySelector('form');
                    var report = form.reportValidity();

                    if (report) {
                        $.post(location.href, $('#signup-form').serialize(), function (response) {
                            notifySuccess(response);
                            setTimeout(function () {
                                location.reload();
                            }, 2000);
                        }).fail(function (xhr, status, error) {
                            notifyError(xhr.responseText);
                        });
                    }
                });
            });

            function notifySuccess(response) {
                $('#message').removeClass('alert-danger');
                $('#message').addClass('alert-success');
                $('#message').html(response);
                $('#message').show();
                window.location.href = "#message-anchor";
            }

            function notifyError(response) {
                $('#message').removeClass('alert-success');
                $('#message').addClass('alert-danger');
                $('#message').html(response);
                $('#message').show();
                window.location.href = "#message-anchor";
            }
        </script>
    </body>
    <!-- This templates was made by Colorlib (https://colorlib.com) -->
</html>
